aboutsummaryrefslogtreecommitdiffstats
path: root/testsuites/performance/src/main/resources/testplans/removecsars.sh
diff options
context:
space:
mode:
Diffstat (limited to 'testsuites/performance/src/main/resources/testplans/removecsars.sh')
-rwxr-xr-xtestsuites/performance/src/main/resources/testplans/removecsars.sh33
1 files changed, 33 insertions, 0 deletions
diff --git a/testsuites/performance/src/main/resources/testplans/removecsars.sh b/testsuites/performance/src/main/resources/testplans/removecsars.sh
new file mode 100755
index 00000000..e5528d81
--- /dev/null
+++ b/testsuites/performance/src/main/resources/testplans/removecsars.sh
@@ -0,0 +1,33 @@
+# ============LICENSE_START=======================================================
+# Copyright (c) 2020 Nordix Foundation.
+# ================================================================================
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+# SPDX-License-Identifier: Apache-2.0
+# ============LICENSE_END=========================================================
+
+# the directory of the script
+DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
+
+echo "${DIR}"
+
+if [ $# -le 0 ]
+then
+ echo "Usage ./removecsars.sh \$TARGETDIRECTORY"
+ exit 1
+fi
+TARGETDIRECTORY=$1
+
+rm -f "$TARGETDIRECTORY"/*.csar
+
+